<?php

$config = [];

if ($http_proxy = env('HTTP_PROXY')) {
    $config['proxy']['http'] = $http_proxy;
}

if ($https_proxy = env('HTTPS_PROXY')) {
    $config['proxy']['https'] = $https_proxy;
}

if ($noProxy = env('NO_PROXY')) {
    $cleanedNoProxy = str_replace(' ', '', $noProxy);
    $config['proxy']['no'] = explode(',', $cleanedNoProxy);
}

return $config;
